var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  TelegramWebAppProvider: () => TelegramWebAppProvider,
  useTelegramWebApp: () => useTelegramWebApp
});
module.exports = __toCommonJS(src_exports);

// src/Context.tsx
var import_react2 = require("react");

// src/useCreateTelegramWebApp.ts
var import_react = require("react");
var import_core = require("@telegram-web-app/core");
var useCreateTelegramWebApp = (options) => {
  return (0, import_react.useMemo)(() => new import_core.TelegramWebAppContainer(options), []);
};

// src/Context.tsx
var import_jsx_runtime = require("react/jsx-runtime");
var TelegramWebAppContext = (0, import_react2.createContext)(null);
var TelegramWebAppProvider = ({
  children,
  exposeInMainWorld = false,
  autoReady = true
}) => {
  const telegram = useCreateTelegramWebApp({ exposeInMainWorld });
  (0, import_react2.useEffect)(() => {
    if (autoReady) {
      telegram.WebApp.ready();
    }
  }, []);
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(TelegramWebAppContext.Provider, { value: telegram, children });
};

// src/useTelegramWebApp.ts
var import_react3 = require("react");
var useTelegramWebApp = () => {
  const telegram = (0, import_react3.useContext)(TelegramWebAppContext);
  if (!telegram) {
    throw new Error("useTelegramWebApp hook must only be used inside TelegramWebAppProvider");
  }
  return telegram;
};
