// src/Context.tsx
import { createContext, useEffect } from "react";

// src/useCreateTelegramWebApp.ts
import { useMemo } from "react";
import { TelegramWebAppContainer } from "@telegram-web-app/core";
var useCreateTelegramWebApp = (options) => {
  return useMemo(() => new TelegramWebAppContainer(options), []);
};

// src/Context.tsx
import { jsx } from "react/jsx-runtime";
var TelegramWebAppContext = createContext(null);
var TelegramWebAppProvider = ({
  children,
  exposeInMainWorld = false,
  autoReady = true
}) => {
  const telegram = useCreateTelegramWebApp({ exposeInMainWorld });
  useEffect(() => {
    if (autoReady) {
      telegram.WebApp.ready();
    }
  }, []);
  return /* @__PURE__ */ jsx(TelegramWebAppContext.Provider, { value: telegram, children });
};

// src/useTelegramWebApp.ts
import { useContext } from "react";
var useTelegramWebApp = () => {
  const telegram = useContext(TelegramWebAppContext);
  if (!telegram) {
    throw new Error("useTelegramWebApp hook must only be used inside TelegramWebAppProvider");
  }
  return telegram;
};
export {
  TelegramWebAppProvider,
  useTelegramWebApp
};
